Subject: Re: [PATCH 2.6.24] tg3: fix ethtool autonegotiate flags

From: "Michael Chan" <[email-masked]>
Date: Tue, 02 Oct 2007 15:02:56 -0700

On Tue, 2007-10-02 at 16:16 -0400, Andy Gospodarek wrote:
> Adding that flag in tg3_set_settings seemed like the most logical
> place
> since the driver works fine on boot.  This is just an issue when
> re-enabling autonegotiation, so we should probably nip it there.
> 
> Signed-off-by: Andy Gospodarek <[email-masked]>

We also noticed this issue recently, but didn't pay too much attention
to it since it was more of a "cosmetic" issue.  The driver behaves the
same since we rely on cmd->autoneg to decide whether to enable autoneg
or not.  Your fix seems reasonable to me.  Thanks.

Acked-by: Michael Chan <[email-masked]>